apiVersion: apps/v1
kind: Deployment
metadata:
  name: t2s-depl
spec:
  replicas: {{ .Values.t2s.replicas }}
  selector:
    matchLabels:
      app: t2s
  template:
    metadata:
      labels:
        app: t2s
    spec:
      imagePullSecrets:
        - name: "{{ .Values.images.registryCreds }}"
      containers:
        - name: keycloak
          image: "{{ .Values.images.t2sDeployment }}"
          imagePullPolicy: Always
          ports:
          - name: fr
            containerPort: 5000
          - name: es
            containerPort: 5001
          - name: en
            containerPort: 5002
